LOGIN(1)

NAME
login - Begin session on the system

SYNOPSIS
login [-p] [username] [ENV=VAR ...]
login [-p] [-h host] [-f username]
login [-p] -r host

DESCRIPTION
login is used to establish a new session with the system. It is normally invoked automatically by responding to the login: prompt on the user's terminal. login may be special to the shell and may not be invoked as a sub-process. Typically, login is treated by the shell as exec login which causes the user to exit from the current shell. Attempting to execute login from any shell but the login shell will produce an error message.

When invoked from the login: prompt, the user may enter environmental variables after the username. These variables are entered in the form NAME=VALUE. Not all variables may be set in the fashion, notably PATH, HOME and SHELL. Additionally, IFS may be inhibited if the user's login shell is /bin/sh.

The user is then prompted for a password, where appropriate. Echoing is disabled to prevent revealing the password. Only a small number of password failures are permitted before login exits and the communications link is severed.

If password aging has been enabled for your account, you may be prompted for a new password before proceeding. You will be forced to provide your old password and the new password before continuing. Please refer to passwd (1) for more information.

After a successful login, you will be informed of any system messages and the presence of mail. You may turn off the printing of the system message file, /etc/motd, by creating a zero-length file .hushlogin in your login directory. The mail message will be one of "You have new mail.", "You have mail.", or "No Mail." according to the condition of your mailbox.

Your user and group ID will be set according to their values in the /etc/passwd file. The value for $HOME, $SHELL, $PATH, $LOGNAME, and $MAIL are set according to the appropriate fields in the password entry. Ulimit, umask and nice values may also be set according to entries in the GECOS field.

On some installations, the environmental variable $TERM will be initialize to the terminal type on your tty line, as specified in /etc/ttytype.

An initialization script for your command interpreter may also be executed. Please see the appropriate manual section for more information on this function.

A subsystem login is indicated by the presense of a "*" as the first character of the login shell. The given home directory will be used as the root of a new filesystem which the user is actually logged into.

OPTIONS

-p  Preserve environment.

-f  Do not perform authentication, user is preauthenticated.

-h  Name of the remote host for this login.

-r  Perform autologin protocol for rlogin.

The -r -h and -f options are only used when login is invoked by root.

CAVEATS

This version of login has many compilation options, only some of which may be in use at any particular site.

The location of files is subject to differences in system configuration.

FILES
/var/run/utmp - list of current login sessions
/var/log/wtmp - list of previous login sessions
/etc/passwd - user account information
/etc/shadow - encrypted passwords and age information
/etc/motd - system message file
/etc/nologin - prevent non-root users from logging in
/etc/ttytype - list of terminal types
$HOME/.profile - initialization script for default shell
$HOME/.hushlogin - suppress printing of system messages

SEE ALSO

getty(8), mail(1), passwd(1), sh(1), su(1), login.defs(5), passwd(5), nologin(5)

AUTHOR
Julianne Frances Haugh (jfh@austin.ibm.com)